API referenceInvoices
Get Invoices
GET /company/{id}/invoices
GET
/company/{id}/invoicesPath Parameters
id*string
The company ID
Length
1 <= lengthQuery Parameters
from?string
Calendar date, YYYY-MM-DD
Length
1 <= lengthto?string
Calendar date, YYYY-MM-DD
Length
1 <= lengthcustomerIds?|array<>
statuses?|array<>
coaKeys?|array<>
isPaid?string
Boolean flag; "true" enables, any other value disables
minAmount?string
Arbitrary-precision decimal, serialized as a string
Length
1 <= lengthmaxAmount?string
Arbitrary-precision decimal, serialized as a string
Length
1 <= lengthsortBy?string
Value in
- "AMOUNT_DESC"
- "AMOUNT_ASC"
- "CUSTOMER_DESC"
- "CUSTOMER_ASC"
- "DESCRIPTOR_DESC"
- "DESCRIPTOR_ASC"
- "DUE_DATE_DESC"
- "DUE_DATE_ASC"
- "ISSUE_DATE_DESC"
- "ISSUE_DATE_ASC"
count?integer
after?string
Response Body
application/json
curl -X GET "https://example.com/company/string/invoices"{ "items": [ { "id": "string", "customerId": "string", "issueDate": "string", "dueDate": "string", "nativeId": "string", "description": "string", "amount": { "amount": "string", "currency": "str" }, "documents": [ { "file": { "id": "string", "filename": "string", "contentType": "string", "size": 0, "isDeleted": true, "downloadInfo": { "signedUrl": "string", "urlExpiresAt": "string" }, "parseError": "string", "parseType": "bill" }, "uploadActorType": "SYSTEM_ACTOR" } ], "lines": [ { "id": "string", "classifications": [ { "class": "string", "description": "string", "segments": [ { "id": "string", "segment": "string", "description": "string" } ] } ], "amount": { "amount": "string", "currency": "str" }, "coaKey": "string", "quantity": "string", "unitPrice": "string", "productId": "string", "description": "string" } ], "status": "Deleted", "contractId": "string" } ], "pageInfo": { "endCursor": "string", "hasNextPage": true, "total": 0 }, "total": { "amount": "string", "currency": "str" }}Schema refreshed 2026-11-11T18:57:48.657Z